package contract

import (
	"errors"
	"fmt"
	"hongze/hongze_mobile_admin/models/tables/company_product"
	"hongze/hongze_mobile_admin/services/alarm_msg"
	"hongze/hongze_mobile_admin/utils"
	"time"
)

// 权益客户创建新的有效合同之后，更新所关联的销售信息
func UpdateCompanyProductSellerMove(companyId, productId int) {
	if productId != utils.COMPANY_PRODUCT_RAI_ID {
		return
	}
	time.Sleep(1 * time.Second) // 延迟1秒
	var err error
	defer func() {
		if err != nil {
			fmt.Println(err)
			go alarm_msg.SendAlarmMsg("权益客户创建新的有效合同之后，更新所关联的销售信息，UpdateCompanyProductSellerMove "+fmt.Sprint("companyId:", companyId, ";err：", err), 3)
		}
	}()

	cp, e := company_product.GetCompanyProductByCompanyIdAndProductId(companyId, productId)
	if e != nil {
		err = errors.New("GetCompanyProductByCompanyIdAndProductId Err: " + e.Error())
		return
	}

	e = company_product.UpdateCompanyProductSellerUnexpired(cp.SellerId, cp.ShareSellerId, cp.SellerName, cp.ShareSeller, cp.CompanyId)
	if e != nil {
		err = errors.New("UpdateCompanyProductSellerUnexpired, Err: " + e.Error())
		return
	}

	return
}
